Get Candidate Benchmark
curl --request GET \
--url https://api.heybee.app/v1/experiments/{experiment_id}/candidate-benchmark \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heybee.app/v1/experiments/{experiment_id}/candidate-benchmark"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heybee.app/v1/experiments/{experiment_id}/candidate-benchmark', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"aggregation_policy": "<string>",
"analysis_available": true,
"computed_at": "2023-11-07T05:31:56Z",
"candidates": [
{
"aggregate_rank": 123,
"aggregate_score": 123,
"anchor_win_rate": 123,
"candidate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidate_key": "<string>",
"eligible_anchor_count": 123,
"runner_up_count": 123,
"top_finish_count": 123,
"candidate_label": "<string>"
}
],
"issues": [
{
"candidate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidate_key": "<string>",
"code": "<string>",
"message": "<string>",
"anchor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"anchor_value": "<string>"
}
],
"pairwise_matrix": [
{
"anchor_wins_a": 123,
"anchor_wins_b": 123,
"candidate_a_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidate_a_key": "<string>",
"candidate_b_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidate_b_key": "<string>",
"comparable_anchor_count": 123,
"ties": 123,
"candidate_a_label": "<string>",
"candidate_b_label": "<string>"
}
],
"reason": "<string>",
"summary": {
"ambiguous_cell_count": 123,
"confidence_inputs": {
"experiment_confidence": 123,
"runner_up_head_to_head_anchor_win_rate": 123,
"top_margin": 123
},
"decision_status": "<string>",
"eligible_anchor_count": 123,
"total_anchor_count": 123,
"winner_candidate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"winner_candidate_key": "<string>",
"winner_candidate_label": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Analytics
Get Candidate Benchmark
Get anchor-balanced candidate-level benchmark analytics.
GET
/
v1
/
experiments
/
{experiment_id}
/
candidate-benchmark
Get Candidate Benchmark
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Benchmark-only candidate-level aggregate analytics.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Top-level decision summary for benchmark candidate aggregation.
Show child attributes
Show child attributes
⌘I

